<template>
  <div class="bg-gray-light p-4 md:p-13 md:pt-6">
    <div class="flex items-center mb-3">
      <svg-icon name="sponsor" style="width: 64px;height: 15px"></svg-icon>
      <a
        v-if="showlink"
        class="sponsor-external relative flex items-center leading-160 text-dark-cyan pl-3 ml-3"
        :href="sponsor_link"
        target="_blank"
      >
        <span>{{ sponsor_name }}</span>
        <svg-icon name="icon-external" class="w-3 h-3 ml-6px"></svg-icon>
      </a>
    </div>
    <div>
      <a :href="sponsor_link" target="_blank">
        <img class="w-full" :src="imagesrc" alt="banner sponsor" />
      </a>
    </div>
  </div>
</template>

<script>
export default {
  name: 'SponsorBreakPage',
  props: {
    showlink: {
      type: Boolean,
      default: false
    },
    imagesrc: {
      type: String,
      default: null
    }
  },
  data() {
    return {
      sponsor_name: 'suntorypepsico.vn',
      sponsor_link: 'https://suntorypepsico.vn/'
    }
  }
}
</script>

<style lang="scss">
.sponsor-external {
  &:before {
    content: '';
    position: absolute;
    width: 1px;
    height: 18px;
    background: #dee1e9;
    top: 50%;
    margin-top: -9px;
    left: 0;
  }
}
</style>
